Subject: Re: bug#61094: [PATCH] doc: Document 'shebang' for 'guix shell'.

From: Morgan Smith <[email-masked]>
Date: Thu, 09 Feb 2023 11:07:19 -0500

Hello,

>>> +@example
>>> +#!/usr/bin/env -S guix shell python python-nympy -- python3
>>> +@end example

Apparently, according to POSIX you're only allowed one argument on the
'#!' line after the path of the executable.  I haven't confirmed this
myself but it is in the guile manual, section 4.3.2 "The Meta Switch".

One argument does seem quite limiting though so I wonder if anyone
actually imposes that limit.

Morgan